/*******************************************************************************
 *
 * blueMarine - open source photo workflow
 * =======================================
 *
 * Copyright (C) 2003-2009 by Fabrizio Giudici
 * Project home page: http://bluemarine.tidalwave.it
 *
 *******************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 *
 *******************************************************************************
 *
 * $Id: IPTCPersistenceSourceSink.java,v d7e8fed5e750 2009/09/17 23:55:58 fabrizio $
 *
 ******************************************************************************/
package it.tidalwave.metadata.iptc.persistence;

import it.tidalwave.image.metadata.IPTC;
import it.tidalwave.metadata.Metadata;
import it.tidalwave.metadata.persistence.spi.MetadataItemPersistenceSupport;

/*******************************************************************************
 *
 * This class provides persistence support for {@link IPTC} metadata items.
 *
 * @author  Fabrizio Giudici
 * @version $Id: IPTCPersistenceSourceSink.java,v d7e8fed5e750 2009/09/17 23:55:58 fabrizio $
 *
 ******************************************************************************/
public class IPTCPersistenceSourceSink extends MetadataItemPersistenceSupport<IPTC>
  {
    public IPTCPersistenceSourceSink()
      throws Exception
      {
        super(IPTC.class, "IPTC Persistence", Metadata.StorageType.INTERNAL, "IPTC");
        persistenceSpi.register(IPTC.class, new IPTCBeanAccessor());
      }
  }
